<?php
require_once('businessbase.class.php');

class Hippo extends BusinessBase {
	var $id = null;
	var $name = null;
	//Constructor
	function Hippo() {
		$this->table_name = 'hippos';
		$this->addField('id', new DataField(DataField::TYPE_NUMERIC(), true) );
		$this->addField('name', new DataField(DataField::TYPE_STRING(), false) );
	}
	//Load record from DB
	function load($id) {
		parent::load($id);
		$this->id = $this->getDBValue('id');
		$this->name = $this->getDBValue('name');
	}
	//Save record to DB
	function save() {
		$this->setDBValue('id', $this->id );
		$this->setDBValue('name', $this->name );
		parent::save();
		//Get id number supplied by INSERT
		$this->id = $this->getDBValue('id');
	}
}

class ArmedHippo extends Hippo {
	var $num_mount_points;
	//Constructor
	function ArmedHippo() {
		parent::Hippo();
		$this->addField('num_mount_points', 
			new DataField(DataField::TYPE_NUMERIC(), true) );
	}
	//Load record from DB
	function load($id) {
		parent::load($id);
		$this->num_mount_points = $this->getDBValue('num_mount_points');
	}
	//Save record to DB
	function save() {
		$this->setDBValue('num_mount_points', $this->num_mount_points );
		parent::save();
	}
}
